#include <alloc.h>
#include "cmtlib.h"

/*
** memory allocation
*/

/*man**********************************************************'
NAME
	cmt_malloc - allocate memory for cmt engine

SYNOPSIS
	#include "cmtlib.h"

	void far * far cdecl cmt_malloc(unsigned size);

DESCRIPTION
	cmt_malloc is a memory allocator wrapper function that
	allocates memory for cmt use. this includes task stacks.
	the library version of this function maps directly to 
	farmalloc()

DIAGNOSTICS
	returns far pointer to newly allocated memory block, or
	NULL
*****************************************************************/
void far * far cdecl cmt_malloc(unsigned size)
{
	return farmalloc(size);
}
/*man************************************************************
NAME
	cmt_free - discards memory block allocated by cmt_malloc

SYNOPSIS
	#include "cmtlib.h"

	void far cdecl cmt_free(void far *block);

DESCRIPTION
	memory deallocator. library version maps directly to
	farfree().
****************************************************************/
void far cdecl cmt_free(void far *block)
{
	farfree(block);
}